# memcpy function

memcpy copies data between two memory locations. This function will copy the supplied number of bytes stored at the location pointed to by 's2' to the location pointed to by 's1'.

         	s1		s2
    	|		|
    	V		V
            - - - -		---------------
           | | | | |       | a | b | c | d |
            - - - -		---------------
    	^ ^		|    |
    	| |		|    |
    	 -|-------------     |
    	   ------------------

## Prototype

        Library:   string.h

        Prototype: char memcpy(void *s1, void *s2, int num);

        Syntax:
                   float data1;
                   char  data2[64];

                   memcpy(data1, data2, sizeof(data2));

## Notes

This is a handy function for moving data between data types

## See also:

strncpy
strcpy
sprintf
strcat
strings
memcpy Copy data from one memory location to another.

Top | Master Index | Keywords | Functions